> For the complete documentation index, see [llms.txt](https://developers.copyfactory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.copyfactory.io/api/sequences/list-sequences.md).

# List sequences

## List sequences

<mark style="color:blue;">`GET`</mark> `https://app.copyfactory.io/api/v2/sequences/list/`

List sequences of your Copyfactory account.

#### Query Parameters

| Name        | Type | Description          |
| ----------- | ---- | -------------------- |
| profile\_id | int  | Filter by profile ID |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Copyfactory API key |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
	'data': [{
		'id': 1,
		'is_request': False,
		'profile_name': 'CF',
		'sequence_name': 'Seq',
		'create_date': '2022-06-13T10:12:24.885Z'
	},]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Shell" %}

```
curl --location --request GET 'https://app.copyfactory.io/api/v2/sequences/list/' \
--header 'Authorization: API-KEY' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Python" %}

```
import requests
import json

url = f"https://app.copyfactory.io/api/v2/sequences/list/"

headers = {
  'Authorization': 'API-KEY',
  'Content-Type': 'application/json'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

{% endtab %}
{% endtabs %}
